
/*****************************************************************************
 *                                                                           *
 *  PMB source code, MPI-1 part                           ---/---            *
 *                                                          / /              *
 *  Copyright (c) PALLAS GmbH 1998                         / / /             *
 *                                                        / / / /            *
 *                                                         / / /             *
 *  Authors: Hans-Joachim Plum , Gero Ritzenhoefer          / / PALLAS       *
 *  Revision: 2.0                                         ---/---            *
 *  Date: 1998/03/10                                                         *
 *                                                                           *
 *****************************************************************************/
/*-----------------------------------------------------------------
Functions implemented in this module: 

void Err_Hand( int ERR_IS_MPI, int ERR_CODE )

Used in modules : Output.c
-----------------------------------------------------------------*/
#include "declare.h"
/*-------------------------------------------------------------*/
void Err_Hand( int ERR_IS_MPI, int ERR_CODE )
/*-------------------------------------------------------------------
             VARIABLE |       TYPE        |   MEANING
-------------------------------------------------------------------
Input      :ERR_IS_MPI| int               | flag if MPI error occured
	    ERR_CODE  | int               | error code
                      |                   |
Output     :          |                   |
                      |                   |
In/Out     :  -       | -                 | -
                      |                   |  
-------------------------------------------------------------------
-------------------------------------------------------------------
Description: Tiny error handler
-----------------------------------------------------------------*/
{
  int i_break;
  
  if(! ERR_IS_MPI )
    {
      i_break=1;
      fprintf(stderr,"Application error code %d occurred\n",ERR_CODE);
      switch(ERR_CODE)
	{
	case APPL_ERR_INVCASE: fprintf(stderr,"INVALID benchmark name\n");
	  break;
	case APPL_ERR_MALLOC  : fprintf(stderr,"Malloc failed \n");
	  break;
	}
      ERR_CODE=MPI_ERR_INTERN;
    }
  else if ( ERR_CODE != MPI_SUCCESS )
    {
      i_break=1;
      fprintf(stderr,"MPI error  %d occurred\n",ERR_CODE);
      /* MPI_Error_String(ERR_CODE,aux_string, */
    }
  else i_break=0;
  
  if(i_break )
    { 
      MPI_Abort(MPI_COMM_WORLD, ERR_CODE);
      exit(1);
    }
}


