
/*****************************************************************************
 *                                                                           *
 *  PMB source code, MPI-1 part                           ---/---            *
 *                                                          / /              *
 *  Copyright (c) PALLAS GmbH 1998                         / / /             *
 *                                                        / / / /            *
 *                                                         / / /             *
 *  Authors: Hans-Joachim Plum , Gero Ritzenhoefer          / / PALLAS       *
 *  Revision: 2.0                                         ---/---            *
 *  Date: 1998/03/10                                                         *
 *                                                                           *
 *****************************************************************************/
#include <stdio.h>
#include <time.h>
#include "settings.h"

extern FILE* unit;

void General_Info()
{
  void make_sys_info();
  char *machine; 
  time_t T;
  
  time(&T);
  fprintf(unit,"#---------------------------------------------------\n");
  fprintf(unit,"#    PALLAS MPI Benchmark Suite V2.0, MPI-1 part    \n");
  fprintf(unit,"#---------------------------------------------------\n");
  fprintf(unit,"# Date       : %s",asctime(localtime(&T)));

  make_sys_info();
  fprintf(unit,"\n");
}

#include <sys/utsname.h>
void   make_sys_info()
{
  struct utsname info;
  int err;
  err = uname( &info );
  
  fprintf(unit,"# Machine    : %s"  ,info.machine);
  fprintf(unit,"# System     : %s\n",info.sysname);
  fprintf(unit,"# Release    : %s\n",info.release);
  fprintf(unit,"# Version    : %s\n",info.version);
}




